org.apache.pdfbox.preflight.annotation

## Class SquareAnnotationValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidator
  - - org.apache.pdfbox.preflight.annotation.SquareCircleAnnotationValidator
    - - org.apache.pdfbox.preflight.annotation.SquareAnnotationValidator

    public class SquareAnnotationValidator
    extends SquareCircleAnnotationValidator

Validation class for the Square Annotation

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.SquareCircleAnnotationValidator

`pdSquareCircle`

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`annotDictionary, ctx, pdAnnot`

### Constructor Summary

Constructors
Constructor and Description
`SquareAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary annotDictionary)`

### Method Summary

### Methods inherited from class org.apache.pdfbox.preflight.annotation.SquareCircleAnnotationValidator

`checkIColors, validate`

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`checkActions, checkAP, checkCA, checkColors, checkFlags, checkMandatoryFields, checkPopup, checkSpecificMandatoryFields, searchRGBProfile, setFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SquareAnnotationValidator

    public SquareAnnotationValidator(PreflightContext ctx,
                                     org.apache.pdfbox.cos.COSDictionary annotDictionary)